diff --git a/drivers/gpu/drm/tiny/simpledrm.c b/drivers/gpu/drm/tiny/simpledrm.c
index 79112b195..62fe2a6ea 100644
--- a/drivers/gpu/drm/tiny/simpledrm.c
+++ b/drivers/gpu/drm/tiny/simpledrm.c
@@ -637,6 +637,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 	size_t nformats;
 	int ret;
 
+	printk("T: create 1\n");
 	sdev = devm_drm_dev_alloc(&pdev->dev, drv, struct simpledrm_device, dev);
 	if (IS_ERR(sdev))
 		return ERR_CAST(sdev);
@@ -647,6 +648,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 	 * Hardware settings
 	 */
 
+	printk("T: create 2\n");
 	ret = simpledrm_device_init_clocks(sdev);
 	if (ret)
 		return ERR_PTR(ret);
@@ -655,31 +657,40 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 		return ERR_PTR(ret);
 
 	if (pd) {
+	printk("T: create 3a-1\n");
 		width = simplefb_get_width_pd(dev, pd);
 		if (width < 0)
 			return ERR_PTR(width);
+	printk("T: create 3a-2\n");
 		height = simplefb_get_height_pd(dev, pd);
 		if (height < 0)
 			return ERR_PTR(height);
+	printk("T: create 3a-3\n");
 		stride = simplefb_get_stride_pd(dev, pd);
 		if (stride < 0)
 			return ERR_PTR(stride);
+	printk("T: create 3a-4\n");
 		format = simplefb_get_format_pd(dev, pd);
 		if (IS_ERR(format))
 			return ERR_CAST(format);
 	} else if (of_node) {
+	printk("T: create 3b-1\n");
 		width = simplefb_get_width_of(dev, of_node);
 		if (width < 0)
 			return ERR_PTR(width);
+	printk("T: create 3b-2\n");
 		height = simplefb_get_height_of(dev, of_node);
 		if (height < 0)
 			return ERR_PTR(height);
+	printk("T: create 3b-3\n");
 		stride = simplefb_get_stride_of(dev, of_node);
 		if (stride < 0)
 			return ERR_PTR(stride);
+	printk("T: create 3b-4\n");
 		format = simplefb_get_format_of(dev, of_node);
 		if (IS_ERR(format))
 			return ERR_CAST(format);
+	printk("T: create 3b-5\n");
 		mem = simplefb_get_memory_of(dev, of_node);
 		if (IS_ERR(mem))
 			return ERR_CAST(mem);
@@ -690,15 +701,18 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 			of_node_put(panel_node);
 		}
 	} else {
+	printk("T: create 3c\n");
 		drm_err(dev, "no simplefb configuration found\n");
 		return ERR_PTR(-ENODEV);
 	}
+	printk("T: create 4\n");
 	if (!stride) {
 		stride = drm_format_info_min_pitch(format, 0, width);
 		if (drm_WARN_ON(dev, !stride))
 			return ERR_PTR(-EINVAL);
 	}
 
+	printk("T: create 5\n");
 	/*
 	 * Assume a monitor resolution of 96 dpi if physical dimensions
 	 * are not specified to get a somewhat reasonable screen size.
@@ -712,8 +726,8 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 	sdev->format = format;
 	sdev->pitch = stride;
 
-	drm_dbg(dev, "display mode={" DRM_MODE_FMT "}\n", DRM_MODE_ARG(&sdev->mode));
-	drm_dbg(dev, "framebuffer format=%p4cc, size=%dx%d, stride=%d byte\n",
+	drm_info(dev, "display mode={" DRM_MODE_FMT "}\n", DRM_MODE_ARG(&sdev->mode));
+	drm_info(dev, "framebuffer format=%p4cc, size=%dx%d, stride=%d byte\n",
 		&format->format, width, height, stride);
 
 	/*
@@ -723,33 +737,38 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 	if (mem) {
 		void *screen_base;
 
+	printk("T: create 6a-1\n");
 		ret = devm_aperture_acquire_from_firmware(dev, mem->start, resource_size(mem));
 		if (ret) {
 			drm_err(dev, "could not acquire memory range %pr: %d\n", mem, ret);
 			return ERR_PTR(ret);
 		}
 
-		drm_dbg(dev, "using system memory framebuffer at %pr\n", mem);
+		drm_info(dev, "using system memory framebuffer at %pr\n", mem);
 
+	printk("T: create 6a-2\n");
 		screen_base = devm_memremap(dev->dev, mem->start, resource_size(mem), MEMREMAP_WC);
 		if (IS_ERR(screen_base))
 			return screen_base;
 
+	printk("T: create 6a-3\n");
 		iosys_map_set_vaddr(&sdev->screen_base, screen_base);
 	} else {
 		void __iomem *screen_base;
 
+	printk("T: create 6b-1\n");
 		res = platform_get_resource(pdev, IORESOURCE_MEM, 0);
 		if (!res)
 			return ERR_PTR(-EINVAL);
 
+	printk("T: create 6b-2\n");
 		ret = devm_aperture_acquire_from_firmware(dev, res->start, resource_size(res));
 		if (ret) {
 			drm_err(dev, "could not acquire memory range %pr: %d\n", res, ret);
 			return ERR_PTR(ret);
 		}
 
-		drm_dbg(dev, "using I/O memory framebuffer at %pr\n", res);
+		drm_info(dev, "using I/O memory framebuffer at %pr\n", res);
 
 		mem = devm_request_mem_region(&pdev->dev, res->start, resource_size(res),
 					      drv->name);
@@ -763,10 +782,12 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 			mem = res;
 		}
 
+	printk("T: create 6b-3\n");
 		screen_base = devm_ioremap_wc(&pdev->dev, mem->start, resource_size(mem));
 		if (!screen_base)
 			return ERR_PTR(-ENOMEM);
 
+	printk("T: create 6b-4\n");
 		iosys_map_set_vaddr_iomem(&sdev->screen_base, screen_base);
 	}
 
@@ -774,6 +795,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 	 * Modesetting
 	 */
 
+	printk("T: create 7\n");
 	ret = drmm_mode_config_init(dev);
 	if (ret)
 		return ERR_PTR(ret);
@@ -790,6 +812,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 
 	/* Primary plane */
 
+	printk("T: create 8\n");
 	nformats = drm_fb_build_fourcc_list(dev, &format->format, 1,
 					    sdev->formats, ARRAY_SIZE(sdev->formats));
 
@@ -805,6 +828,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 
 	/* CRTC */
 
+	printk("T: create 9\n");
 	crtc = &sdev->crtc;
 	ret = drm_crtc_init_with_planes(dev, crtc, primary_plane, NULL,
 					&simpledrm_crtc_funcs, NULL);
@@ -814,6 +838,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 
 	/* Encoder */
 
+	printk("T: create 10\n");
 	encoder = &sdev->encoder;
 	ret = drm_encoder_init(dev, encoder, &simpledrm_encoder_funcs,
 			       DRM_MODE_ENCODER_NONE, NULL);
@@ -823,6 +848,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 
 	/* Connector */
 
+	printk("T: create 11\n");
 	connector = &sdev->connector;
 	ret = drm_connector_init(dev, connector, &simpledrm_connector_funcs,
 				 DRM_MODE_CONNECTOR_Unknown);
@@ -833,6 +859,7 @@ static struct simpledrm_device *simpledrm_device_create(struct drm_driver *drv,
 						       DRM_MODE_PANEL_ORIENTATION_UNKNOWN,
 						       width, height);
 
+	printk("T: create 12\n");
 	ret = drm_connector_attach_encoder(connector, encoder);
 	if (ret)
 		return ERR_PTR(ret);
@@ -870,20 +897,24 @@ static int simpledrm_probe(struct platform_device *pdev)
 	unsigned int color_mode;
 	int ret;
 
+	printk("T: probe 1\n");
 	sdev = simpledrm_device_create(&simpledrm_driver, pdev);
 	if (IS_ERR(sdev))
 		return PTR_ERR(sdev);
 	dev = &sdev->dev;
 
+	printk("T: probe 2\n");
 	ret = drm_dev_register(dev, 0);
 	if (ret)
 		return ret;
 
+	printk("T: probe 3\n");
 	color_mode = drm_format_info_bpp(sdev->format, 0);
 	if (color_mode == 16)
 		color_mode = sdev->format->depth; // can be 15 or 16
 
 	drm_fbdev_generic_setup(dev, color_mode);
+	printk("T: probe 4\n");
 
 	return 0;
 }
